<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of TwittAk Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# TwittAk Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# TwittAk Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with TwittAk Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }

// Enregistrement des behaviors pour l'initialisation du widget.
$core->addBehavior('initWidgets',array('TwittAkWidgets','initWidgets'));

/**
 * Classe pour l'initialisation du widget.
 * 
 * @author akewea
 *
 */
class TwittAkWidgets
{
	
	/**
	 * Initialisation du widget (paramètres à saisir et valeurs par défaut).
	 * 
	 * @param $w
	 */
	public static function initWidgets($w)
	{
		global $core;
		
		$w->create('twittak',__('TwittAk'),array('twittakPublic','twittakWidget'));
		$w->twittak->setting('account', __('Account ID:'), $core->blog->settings->twittak->twittak_account);
		$w->twittak->setting('title', __('Title:'), __('My last tweets'));
		$w->twittak->setting('limit', __('Limit (empty means no limit):'), 5);
		$w->twittak->setting('homeonly', __('Home page only'), 0, 'check');
		$w->twittak->setting('twitterlink', __('Link to Twitter page'), $core->blog->settings->twittak->twittak_show_twitter_link, 'check');
		$w->twittak->setting('tweetslink', __('Link to internal tweets page'), $core->blog->settings->twittak->twittak_enabled, 'check');
	}
}




?>